Bug 228018 - Extension missing for copy command when making package
Extension missing for copy command when making package
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
7.3
All All
: P3 (vote)
: 7.3.1
Assigned To: Alexander Simon
issues@cnd
73patch2-verified cnd-clone
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-28 01:05 UTC by Chiana
Modified: 2013-05-14 08:49 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chiana 2013-03-28 01:05:40 UTC
There is a file extension missing in the copy command for copying a file to the temporary folder, output follows;
"/usr/bin/make" -f nbproject/Makefile-Debug.mk QMAKE= SUBPROJECTS= .build-conf
make[1]: Entering directory `/cygdrive/c/Programming/Kassa/utilslib'
"/usr/bin/make"  -f nbproject/Makefile-Debug.mk dist/Debug/Cygwin_MinGW-Windows/libutilslib.dll
make[2]: Entering directory `/cygdrive/c/Programming/Kassa/utilslib'
make[2]: `dist/Debug/Cygwin_MinGW-Windows/libutilslib.dll' is up to date.
make[2]: Leaving directory `/cygdrive/c/Programming/Kassa/utilslib'
make[1]: Leaving directory `/cygdrive/c/Programming/Kassa/utilslib'


BUILD SUCCESSFUL (total time: 375ms)

++ pwd
+ TOP=/cygdrive/c/Programming/Kassa/utilslib
+ CND_PLATFORM=Cygwin_MinGW-Windows
+ CND_CONF=Debug
+ CND_DISTDIR=dist
+ CND_BUILDDIR=build
+ NBTMPDIR=build/Debug/Cygwin_MinGW-Windows/tmp-packaging
+ TMPDIRNAME=tmp-packaging
+ OUTPUT_PATH=dist/Debug/Cygwin_MinGW-Windows/libutilslib.
+ OUTPUT_BASENAME=libutilslib.
+ PACKAGE_TOP_DIR=
+ cd /cygdrive/c/Programming/Kassa/utilslib
+ mkdir -p dist/Debug/Cygwin_MinGW-Windows/package
+ rm -rf build/Debug/Cygwin_MinGW-Windows/tmp-packaging
+ mkdir -p build/Debug/Cygwin_MinGW-Windows/tmp-packaging
+ cd /cygdrive/c/Programming/Kassa/utilslib
+ makeDirectory build/Debug/Cygwin_MinGW-Windows/tmp-packaging/lib
+ mkdir -p build/Debug/Cygwin_MinGW-Windows/tmp-packaging/lib
+ checkReturnCode
+ rc=0
+ '[' 0 '!=' 0 ']'
+ '[' '' '!=' '' ']'
+ copyFileToTmpDir dist/Debug/Cygwin_MinGW-Windows/libutilslib. build/Debug/Cygwin_MinGW-Windows/tmp-packaging/lib/libutilslib. 0644
+ cp dist/Debug/Cygwin_MinGW-Windows/libutilslib. build/Debug/Cygwin_MinGW-Windows/tmp-packaging/lib/libutilslib.
cp: cannot stat `dist/Debug/Cygwin_MinGW-Windows/libutilslib.': No such file or directory
+ checkReturnCode
+ rc=1
+ '[' 1 '!=' 0 ']'
+ exit 1


BUILD FAILED (exit value 1, total time: 125ms)

As you see the "dll" is missing in the cp command
I've checked the "Packaging files" the "Original File or Link" reads "dist/Debug/Cygwin_MinGW-Windows/libutilslib.dll" as it should.
Comment 1 Alexander Simon 2013-03-28 08:27:44 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/219a19506fbf
Comment 2 Quality Engineering 2013-03-29 02:08:28 UTC
Integrated into 'main-golden', will be available in build *201303282300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/219a19506fbf
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #228018 Extension missing for copy command when making package
Comment 3 Chiana 2013-03-29 09:06:12 UTC
201303282300
Comment 4 soldatov 2013-05-14 08:49:39 UTC
Verified in NetBeans 7.3 patch 2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo